Outil 33 / 33

Convertir des contacts entre VCF et CSV

Relire ses contacts dans Excel, ou importer dans un téléphone une liste tenue dans un tableur : déposez un fichier .vcf ou .csv, l'outil le convertit dans l'autre format.

Du .vcf vers Excel

L'outil lit les cartes vCard des versions 2.1, 3.0 et 4.0, y compris les exports d'anciens téléphones encodés en quoted-printable, et produit un tableau avec une colonne par information : prénom, nom, organisation, téléphones mobile, domicile et travail, e-mails, adresse, anniversaire et note. Le fichier utilise le point-virgule comme séparateur et l'encodage UTF-8 avec une signature, ce qui permet à Excel en français de l'ouvrir d'un double-clic sans casser les accents. Les photos des contacts ne sont pas reprises.

D'un tableau vers le .vcf

Déposez un CSV exporté d'Excel, de Google Contacts ou d'Outlook. L'outil reconnaît le séparateur (point-virgule, virgule ou tabulation), l'encodage, et les intitulés de colonnes courants en français et en anglais. Vérifiez la correspondance proposée, puis créez le fichier : il contient une carte vCard 3.0 par ligne, en UTF-8. Les dates d'anniversaire saisies à la française (05/03/1975) sont converties au format attendu par la norme.

Questions fréquentes

Comment ouvrir un fichier VCF dans Excel ?

Excel n'ouvre pas directement un fichier .vcf comme un tableau. Déposez-le dans l'outil ci-dessus : il le convertit en CSV avec une colonne par information, que vous pouvez ouvrir dans Excel d'un double-clic, accents compris.

Comment transformer une liste Excel en contacts pour mon téléphone ?

Enregistrez la feuille Excel au format CSV, déposez le fichier dans l'outil, vérifiez quelle colonne correspond au nom, au téléphone et à l'e-mail, puis créez le fichier .vcf. Ce fichier s'importe ensuite dans l'application Contacts du téléphone, ou dans Google Contacts ou iCloud.

Pourquoi les accents de mes contacts sont-ils remplacés par des caractères bizarres ?

Le fichier a été lu avec un autre encodage que celui dans lequel il a été écrit. L'outil détecte l'encodage du fichier d'origine (UTF-8 ou Windows-1252) et produit toujours un fichier en UTF-8, l'encodage attendu par les téléphones et les messageries actuels.

Pour aller plus loin

Fiche format VCF →

Fichier VCF ou ICS qui s'importe mal : contacts manquants, événements décalés →

CSV avec des accents mal affichés dans Excel : encodage et séparateur →

Fiche format CSV →

Sources

RFC 2426, vCard 3.0 ·RFC 6350, vCard 4.0 ·RFC 4180, format CSV